Summary: symbolic debugger for C and other languages
Name: gdb
%define version 4.17
Version: %{version}
Release: 2
Copyright: GPL
Group: Development/Debuggers
Source: ftp://ftp.cygnus.com:/pub/gdb/gdb-%{version}.tar.gz
Patch0: gdb-4.16sparc.patch.gz
Patch1: gdb-4.16axp.patch.gz
Patch2: gdb-4.16axp-2.diff.gz
Patch3: ftp://ftp.azstarnet.com/pub/linux/axp/glibc/gdb-4.16axp-3.diff.gz
Patch4: gdb4.16-axp-post-SRPM.diff.gz
Patch5: gdb-4.16-nommalloc.patch
Buildroot: /var/tmp/gdb-root
Prereq: /sbin/install-info
Summary(de): symbolischer Debugger fr C und andere Sprachen 
Summary(fr): Dbugger symbolique pour C et d'autres langages
Summary(tr): C ve dier diller iin sembolik hata ayklayc

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.17

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- updated to use a buildroot
- uses install-info

* Tue Aug 19 1997 Erik Troan <ewt@redhat.com>
- turned off mmalloc() support, which seems to annoy glibc (resulting in
  a quick core dump inside of getcwd())

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
This is a full featured, command driven debugger. It allows you to
trace the exectuion of programs and examine their internal state
at any time. It works for C and C++ compiled with the GNU C compiler
gcc.

%description -l de
dem Sie die Ausfhrung von Programmen verfolgen und jederzeit den 
inneren Zustand berprfen knnen. Er funktioniert fr C und mit 
GNU C kompiliertes C++. 

%description -l fr
Dbugger complet, pilot par commandes. Permet de tracer l'excution
des programmes et d'examiner  tout moment leur tat interne. Fonctionne
avec les binaires C et C++ compils avec le compilateur C de GNU, gcc.

%description -l tr
Bir komut arayz zerinden programcya programn adm adm izleme (trace)
ve herhangi bir anda programn durumunu inceleme olana verir.

%prep
%setup

#%ifarch sparc
#%patch -p1
#%endif

#%ifarch alpha
#%setup
#rm -rf bfd opcodes include
#mv binutils-2.7.0.2/bfd binutils-2.7.0.2/include binutils-2.7.0.2/opcodes .
#rm -rf binutils-2.7.0.2
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p2
#%endif

#%patch5 -p1 -b .nommalloc

%build
OS=`echo ${RPM_OS} | tr '[A-Z]' '[a-z]'`
CC=egcs CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr ${RPM_ARCH}-redhat-${OS}
make
make info

%install
rm -rf $RPM_BUILD_ROOT
make install install-info prefix=$RPM_BUILD_ROOT/usr
rm -f $RPM_BUILD_ROOT/usr/info/bfd* $RPM_BUILD_ROOT/usr/info/dir
rm -f $RPM_BUILD_ROOT/usr/info/history* $RPM_BUILD_ROOT/usr/info/readline*
rm -f $RPM_BUILD_ROOT/usr/info/standard*
gzip -fn9 $RPM_BUILD_ROOT/usr/info/*info*
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/gdb.info.gz /usr/info/dir
install-info /usr/info/stabs.info.gz /usr/info/dir
install-info /usr/info/gdbint.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    install-info --delete /usr/info/gdb.info.gz /usr/info/dir
    install-info --delete /usr/info/stabs.info.gz /usr/info/dir
    install-info --delete /usr/info/gdbint.info.gz /usr/info/dir
fi

%files
/usr/bin/*
/usr/man/*/*
/usr/info/*info*
